# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.paging import Paged


class DatabaseAccountPaged(Paged):
    """
    A paging container for iterating over a list of :class:`DatabaseAccount <azure.mgmt.cosmosdb.models.DatabaseAccount>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[DatabaseAccount]'}
    }

    def __init__(self, *args, **kwargs):

        super(DatabaseAccountPaged, self).__init__(*args, **kwargs)
class MetricPaged(Paged):
    """
    A paging container for iterating over a list of :class:`Metric <azure.mgmt.cosmosdb.models.Metric>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[Metric]'}
    }

    def __init__(self, *args, **kwargs):

        super(MetricPaged, self).__init__(*args, **kwargs)
class UsagePaged(Paged):
    """
    A paging container for iterating over a list of :class:`Usage <azure.mgmt.cosmosdb.models.Usage>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[Usage]'}
    }

    def __init__(self, *args, **kwargs):

        super(UsagePaged, self).__init__(*args, **kwargs)
class MetricDefinitionPaged(Paged):
    """
    A paging container for iterating over a list of :class:`MetricDefinition <azure.mgmt.cosmosdb.models.MetricDefinition>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[MetricDefinition]'}
    }

    def __init__(self, *args, **kwargs):

        super(MetricDefinitionPaged, self).__init__(*args, **kwargs)
class SqlDatabasePaged(Paged):
    """
    A paging container for iterating over a list of :class:`SqlDatabase <azure.mgmt.cosmosdb.models.SqlDatabase>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[SqlDatabase]'}
    }

    def __init__(self, *args, **kwargs):

        super(SqlDatabasePaged, self).__init__(*args, **kwargs)
class SqlContainerPaged(Paged):
    """
    A paging container for iterating over a list of :class:`SqlContainer <azure.mgmt.cosmosdb.models.SqlContainer>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[SqlContainer]'}
    }

    def __init__(self, *args, **kwargs):

        super(SqlContainerPaged, self).__init__(*args, **kwargs)
class MongoDBDatabasePaged(Paged):
    """
    A paging container for iterating over a list of :class:`MongoDBDatabase <azure.mgmt.cosmosdb.models.MongoDBDatabase>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[MongoDBDatabase]'}
    }

    def __init__(self, *args, **kwargs):

        super(MongoDBDatabasePaged, self).__init__(*args, **kwargs)
class MongoDBCollectionPaged(Paged):
    """
    A paging container for iterating over a list of :class:`MongoDBCollection <azure.mgmt.cosmosdb.models.MongoDBCollection>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[MongoDBCollection]'}
    }

    def __init__(self, *args, **kwargs):

        super(MongoDBCollectionPaged, self).__init__(*args, **kwargs)
class TablePaged(Paged):
    """
    A paging container for iterating over a list of :class:`Table <azure.mgmt.cosmosdb.models.Table>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[Table]'}
    }

    def __init__(self, *args, **kwargs):

        super(TablePaged, self).__init__(*args, **kwargs)
class CassandraKeyspacePaged(Paged):
    """
    A paging container for iterating over a list of :class:`CassandraKeyspace <azure.mgmt.cosmosdb.models.CassandraKeyspace>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[CassandraKeyspace]'}
    }

    def __init__(self, *args, **kwargs):

        super(CassandraKeyspacePaged, self).__init__(*args, **kwargs)
class CassandraTablePaged(Paged):
    """
    A paging container for iterating over a list of :class:`CassandraTable <azure.mgmt.cosmosdb.models.CassandraTable>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[CassandraTable]'}
    }

    def __init__(self, *args, **kwargs):

        super(CassandraTablePaged, self).__init__(*args, **kwargs)
class GremlinDatabasePaged(Paged):
    """
    A paging container for iterating over a list of :class:`GremlinDatabase <azure.mgmt.cosmosdb.models.GremlinDatabase>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[GremlinDatabase]'}
    }

    def __init__(self, *args, **kwargs):

        super(GremlinDatabasePaged, self).__init__(*args, **kwargs)
class GremlinGraphPaged(Paged):
    """
    A paging container for iterating over a list of :class:`GremlinGraph <azure.mgmt.cosmosdb.models.GremlinGraph>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[GremlinGraph]'}
    }

    def __init__(self, *args, **kwargs):

        super(GremlinGraphPaged, self).__init__(*args, **kwargs)
class OperationPaged(Paged):
    """
    A paging container for iterating over a list of :class:`Operation <azure.mgmt.cosmosdb.models.Operation>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[Operation]'}
    }

    def __init__(self, *args, **kwargs):

        super(OperationPaged, self).__init__(*args, **kwargs)
class PercentileMetricPaged(Paged):
    """
    A paging container for iterating over a list of :class:`PercentileMetric <azure.mgmt.cosmosdb.models.PercentileMetric>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[PercentileMetric]'}
    }

    def __init__(self, *args, **kwargs):

        super(PercentileMetricPaged, self).__init__(*args, **kwargs)
class PartitionMetricPaged(Paged):
    """
    A paging container for iterating over a list of :class:`PartitionMetric <azure.mgmt.cosmosdb.models.PartitionMetric>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[PartitionMetric]'}
    }

    def __init__(self, *args, **kwargs):

        super(PartitionMetricPaged, self).__init__(*args, **kwargs)
class PartitionUsagePaged(Paged):
    """
    A paging container for iterating over a list of :class:`PartitionUsage <azure.mgmt.cosmosdb.models.PartitionUsage>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[PartitionUsage]'}
    }

    def __init__(self, *args, **kwargs):

        super(PartitionUsagePaged, self).__init__(*args, **kwargs)
